{{ define "main" }}
  <article class="text-gray-800 prose">
    <h1 class='italic text-8xl'>Oops!  Page not found!</h1>
    <div class="flex flex-row space-x-10">
      {{ with $img := resources.Get "images/404.png" }}
        <img class="max-h-72" src='{{.RelPermalink}}'/>
      {{end}}
      <div>
        <p>Page not found!  Sorry about that.</p>
        <p>
          Need help looking for your destination?  Try the
          {{with .Site.GetPage "/search"}}
            <a href="{{.RelPermalink}}">built-in seach</a> or
          {{end}}

          {{ with $domain := replaceRE `:[0-9]+$` "" (urls.Parse .Site.BaseURL).Host }}
            Google's <code>site:</code> search &mdash; such as <a href="https://www.google.com/search?q=site%3A{{$domain}}+linux"><code>site:{{$domain}} linux</code></a>.
          {{end}}
        </p>

      </div>
    </div>


  </article>
{{ end }}
